﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ParticipationInOlympiads
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class dbRegistrationOfParticipationInOlympiadsEntities : DbContext
    {
        public dbRegistrationOfParticipationInOlympiadsEntities()
            : base("name=dbRegistrationOfParticipationInOlympiadsEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<ClassTable> ClassTables { get; set; }
        public virtual DbSet<LevelTable> LevelTables { get; set; }
        public virtual DbSet<OlimpiadByAgeAndLevelTable> OlimpiadByAgeAndLevelTables { get; set; }
        public virtual DbSet<OlympiadByAgeTable> OlympiadByAgeTables { get; set; }
        public virtual DbSet<OlympiadPlanTable> OlympiadPlanTables { get; set; }
        public virtual DbSet<OlympiadTable> OlympiadTables { get; set; }
        public virtual DbSet<RegistrationOfParticipantsTable> RegistrationOfParticipantsTables { get; set; }
        public virtual DbSet<ResultTable> ResultTables { get; set; }
        public virtual DbSet<RewardTable> RewardTables { get; set; }
        public virtual DbSet<SchoolStageTable> SchoolStageTables { get; set; }
        public virtual DbSet<StudentTable> StudentTables { get; set; }
        public virtual DbSet<SubjectTable> SubjectTables { get; set; }
        public virtual DbSet<sysdiagram> sysdiagrams { get; set; }
    }
}
